Subject: Re: bug#4117: 23.1; isearch + isearch-allow-scroll loses shift

From: Eli Barzilay <[email-masked]>
Date: Mon, 17 Aug 2009 15:53:32 -0400

On Aug 17, Stefan Monnier wrote:
> [...]
> If this works, it's good, but it shouldn't be installed as is: this
> has no business being in isearch.el since other packages may need to
> do the same.  Please try to abstract some useful function that we
> can put in subr.el and then use here in isearch.el.

Yes -- here's another case that suffers from the same problem:
`comint-dynamic-list-completions' reads one key (because it wants to
remove the completions window when space is used) -- so it reads one
key to test if it's space and uses `unread-command-events' otherwise.
So: run `shell', type one character and hit tab (needs to have several
files that start with it to pop the completions), then do some
shift-movements.

-- 
          ((lambda (x) (x x)) (lambda (x) (x x)))          Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!